<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('facilities', function (Blueprint $table) {
            $table->id();
            $table->string('main_title')->nullable();
            $table->string('image')->nullable();
            $table->text('text')->nullable();

            $table->string('director_title')->nullable();
            $table->string('director_name')->nullable();
            $table->text('director_desc')->nullable();
            $table->string('director_position')->nullable();
            $table->string('director_college')->nullable();
            $table->string('director_image')->nullable();
            $table->string('team_title')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('facilities');
    }
};
